Hi All,

When I clicked on "New Review Request", I got the following error.  A
quick Google search revealed that the Mercurial codebase might have
changed a bit in version 1.3. Check out this discussion on the Trac's
message board: 
http://groups.google.com/group/trac-users/browse_thread/thread/aba138c5cab4fdac

Can someone confirm/verify if the Mercurial plugin for Review Board
also needs to be updated?

Thanks,

Jason

TypeError at /r/new/

__init__() got an unexpected keyword argument 'interactive'

Request Method:         GET
Request URL:    http://mydomain.dyndns.org:8083/r/new/
Exception Type:         TypeError
Exception Value:

__init__() got an unexpected keyword argument 'interactive'

Exception Location:     /usr/lib/python2.5/site-packages/ReviewBoard-1.0-
py2.5.egg/reviewboard/scmtools/hg.py in __init__, line 130
Python Executable:      /usr/bin/python
Python Version:         2.5.2
Python Path:    ['/var/www/codereview.mydomain.com/conf', '/usr/lib/
python2.5/site-packages/mercurial-1.3.1-py2.5-linux-i686.egg', '/usr/
lib/python2.5/site-packages/setuptools-0.6c9-py2.5.egg', '/usr/lib/
python2.5/site-packages/cmemcache-0.95-py2.5-linux-i686.egg', '/usr/
lib/python2.5/site-packages/ReviewBoard-1.0-py2.5.egg', '/usr/lib/
python2.5/site-packages/pytz-2009j-py2.5.egg', '/usr/lib/python2.5/
site-packages/flup-1.0.3.dev_20090716-py2.5.egg', '/usr/lib/python2.5/
site-packages/Pygments-1.0-py2.5.egg', '/usr/lib/python2.5/site-
packages/Djblets-0.5-py2.5.egg', '/usr/lib/python2.5/site-packages/
django_evolution-0.0.0-py2.5.egg', '/usr/lib/python2.5/site-packages/
Django-1.1-py2.5.egg', '/usr/lib/python2.5', '/usr/lib/python2.5/plat-
linux2', '/usr/lib/python2.5/lib-tk', '/usr/lib/python2.5/lib-
dynload', '/usr/local/lib/python2.5/site-packages', '/usr/lib/
python2.5/site-packages', '/usr/lib/python2.5/site-packages/Numeric',
'/usr/lib/python2.5/site-packages/PIL', '/usr/lib/python2.5/site-
packages/gst-0.10', '/var/lib/python-support/python2.5', '/usr/lib/
python2.5/site-packages/gtk-2.0', '/var/lib/python-support/python2.5/
gtk-2.0']
Server time:    Sun, 2 Aug 2009 18:08:13 -0700

--~--~---------~--~----~------------~-------~--~----~
You received this message because you are subscribed to the Google Groups 
"reviewboard" group.
To post to this group, send email to reviewboard@googlegroups.com
To unsubscribe from this group, send email to 
reviewboard+unsubscr...@googlegroups.com
For more options, visit this group at 
http://groups.google.com/group/reviewboard?hl=en
-~----------~----~----~----~------~----~------~--~---

Reply via email to